Open Bug 1437081 Opened 2 years ago Updated 4 days ago

Intermittent /preload/link-header-preload-delay-onload.html | Makes sure that Link headers preload resources and block window.onload after resource discovery - assert_true: expected true got false

Categories

(Core :: DOM: Core & HTML, defect, P5)

defect

Tracking

()

People

(Reporter: intermittent-bug-filer, Unassigned, NeedInfo)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [stockwell disabled][stockwell needswork:owner])

Attachments

(2 files, 2 obsolete files)

Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=161335609&repo=autoland

https://queue.taskcluster.net/v1/task/AiZvaJzzQn-547sObd_ULg/runs/0/artifacts/public/logs/live_backing.log

7:03:23     INFO - TEST-START | /preload/link-header-preload-delay-onload.html
07:03:23     INFO - 
07:03:23     INFO - TEST-UNEXPECTED-FAIL | /preload/link-header-preload-delay-onload.html | Makes sure that Link headers preload resources and block window.onload after resource discovery - assert_true: expected true got false
07:03:23     INFO - @http://web-platform.test:8000/preload/link-header-preload-delay-onload.html:33:9
07:03:23     INFO - Test.prototype.step@http://web-platform.test:8000/resources/testharness.js:1494:20
07:03:23     INFO - Test.prototype.step_func/<@http://web-platform.test:8000/resources/testharness.js:1518:20
07:03:23     INFO - EventListener.handleEvent*@http://web-platform.test:8000/preload/link-header-preload-delay-onload.html:21:5
07:03:23     INFO - TEST-OK | /preload/link-header-preload-delay-onload.html | took 218ms
There are 35 failures in the past 7 days.
Platforms:
- Linux opt/debug
- Linux x64 opt/debug/pgo
- linux32-stylo-disabled opt
- linux64-stylo-disabled opt/debug
- OS X 10.10 opt/debug
- windows10-64 opt

Recent log failure: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-central&job_id=162513678&lineNumber=4415

Relevant part of the log: 
[task 2018-02-15T21:03:12.608Z] 21:03:12     INFO - TEST-START | /preload/link-header-preload-delay-onload.html
[task 2018-02-15T21:03:12.874Z] 21:03:12     INFO - 
[task 2018-02-15T21:03:12.874Z] 21:03:12     INFO - TEST-UNEXPECTED-FAIL | /preload/link-header-preload-delay-onload.html | Makes sure that Link headers preload resources and block window.onload after resource discovery - assert_true: expected true got false
[task 2018-02-15T21:03:12.875Z] 21:03:12     INFO - @http://web-platform.test:8000/preload/link-header-preload-delay-onload.html:33:9
[task 2018-02-15T21:03:12.875Z] 21:03:12     INFO - Test.prototype.step@http://web-platform.test:8000/resources/testharness.js:1494:20
[task 2018-02-15T21:03:12.876Z] 21:03:12     INFO - Test.prototype.step_func/<@http://web-platform.test:8000/resources/testharness.js:1518:20
[task 2018-02-15T21:03:12.876Z] 21:03:12     INFO - EventListener.handleEvent*@http://web-platform.test:8000/preload/link-header-preload-delay-onload.html:21:5
[task 2018-02-15T21:03:12.877Z] 21:03:12     INFO - TEST-OK | /preload/link-header-preload-delay-onload.html | took 266ms
[task 2018-02-15T21:03:13.040Z] 21:03:13     INFO - PID 8482 | *** UTM:SVC TimerManager:registerTimer called after profile-before-change notification. Ignoring timer registration for id: telemetry_modules_ping
[task 2018-02-15T21:03:13.343Z] 21:03:13     INFO - Browser exited with return code 0
[task 2018-02-15T21:03:13.344Z] 21:03:13  WARNING - u'runner_teardown': ()
[task 2018-02-15T21:03:13.380Z] 21:03:13     INFO - Setting up ssl
[task 2018-02-15T21:03:13.425Z] 21:03:13     INFO - certutil | 
[task 2018-02-15T21:03:13.461Z] 21:03:13     INFO - certutil | 
[task 2018-02-15T21:03:13.477Z] 21:03:13     INFO - certutil | 
[task 2018-02-15T21:03:13.478Z] 21:03:13     INFO - Certificate Nickname                                         Trust Attributes
[task 2018-02-15T21:03:13.478Z] 21:03:13     INFO -                                                              SSL,S/MIME,JAR/XPI
[task 2018-02-15T21:03:13.478Z] 21:03:13     INFO - 
[task 2018-02-15T21:03:13.478Z] 21:03:13     INFO - web-platform-tests                                           CT,, 
[task 2018-02-15T21:03:13.478Z] 21:03:13     INFO - 
[task 2018-02-15T21:03:13.494Z] 21:03:13     INFO - Application command: /builds/worker/workspace/build/application/firefox/firefox --marionette about:blank -profile /tmp/tmpwcxj7j.mozrunner
[task 2018-02-15T21:03:13.510Z] 21:03:13     INFO - Starting runner
[task 2018-02-15T21:03:15.333Z] 21:03:15     INFO - PID 8660 | 1518728595324	Marionette	INFO	Listening on port 2828
[task 2018-02-15T21:03:15.625Z] 21:03:15     INFO - TEST-START | /preload/link-header-preload-nonce.html
[task 2018-02-15T21:03:15.662Z] 21:03:15     INFO - Setting pref network.http.rcwn.enabled (false)
[task 2018-02-15T21:03:21.190Z] 21:03:21     INFO - .

:jgraham Can you please take a look?
Flags: needinfo?(james)
Whiteboard: [stockwell needswork]
Component: web-platform-tests → DOM: Core & HTML
Product: Testing → Core
Version: Version 3 → unspecified
:overholt- this was in the web-platform-tests component and didn't have the proper bugzilla component- it is failing a lot moving it over to you
Flags: needinfo?(james) → needinfo?(overholt)
Whiteboard: [stockwell needswork] → [stockwell needswork:owner]
Jason, do you know what's going on here?
Flags: needinfo?(overholt) → needinfo?(jduell.mcbugs)
Attached patch Disabled on Linux/OS X (obsolete) — Splinter Review
Hi! Could you please review this patch? Thanks.
Attachment #8955016 - Flags: review?(jmaher)
Comment on attachment 8955016 [details] [diff] [review]
Disabled on Linux/OS X

Review of attachment 8955016 [details] [diff] [review]:
-----------------------------------------------------------------

::: testing/web-platform/meta/preload/link-header-preload-delay-onload.html.ini
@@ +1,4 @@
> +[link-header-preload-delay-onload.html]
> +  disabled:
> +    if (os == "linux"): https://bugzilla.mozilla.org/show_bug.cgi?id=1437081
> +    if (os == "mac"): https://bugzilla.mozilla.org/show_bug.cgi?id=1437081

I would leave this running on osx- in the last week I see 5 failures on osx and 2 on windows- linux it fails all over the place.
Attachment #8955016 - Flags: review?(jmaher) → review-
Attached patch Disable on Linux (obsolete) — Splinter Review
Modified it. Thanks.
Attachment #8955016 - Attachment is obsolete: true
Attachment #8955750 - Flags: review?(jmaher)
Comment on attachment 8955750 [details] [diff] [review]
Disable on Linux

Review of attachment 8955750 [details] [diff] [review]:
-----------------------------------------------------------------

looks good!
Attachment #8955750 - Flags: review?(jmaher) → review+
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/5bd73dd9739e
Disable /preload/link-header-preload-delay-onload.html on Linux for frequent failures. r=jmaher
Keywords: checkin-needed
Backout by csabou@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/90caa6e59bb2
Backed out 2 changesets (bug 1437081, bug 1398179) permafailing at web-platform/runtests.py on a CLOSED TREE
Attached patch Disable on LinuxSplinter Review
Modified this one too. Just to be on the safe side. 
The path of the ini file is testing/web-platform/meta/preload/link-header-preload-delay-onload.html.ini
Attachment #8955750 - Attachment is obsolete: true
Attachment #8955780 - Flags: review?(jmaher)
Attachment #8955780 - Flags: review?(jmaher) → review+
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/fdf2f19d5ca1
Disable /preload/link-header-preload-delay-onload.html for frequent failures. r=jmaher
Keywords: checkin-needed
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Attached patch Disable on OSXSplinter Review
Hi! Because of the high number of failures on OSX I thought this needs to be also disabled on that platform. Could you check to see if this is ok? Thank you.
Attachment #8963024 - Flags: review?(jmaher)
Comment on attachment 8963024 [details] [diff] [review]
Disable on OSX

Review of attachment 8963024 [details] [diff] [review]:
-----------------------------------------------------------------

thanks for looking into this
Attachment #8963024 - Flags: review?(jmaher) → review+
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4699b0907698
Disable /preload/link-header-preload-delay-onload.html on OSX for frequent failures. r=jmaher
Priority: -- → P5
Flags: needinfo?(jduell.mcbugs)

There are 26 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-07-08&endday=2019-07-15&tree=trunk&bug=1437081

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=256464925&repo=autoland&lineNumber=3981

[task 2019-07-15T03:00:29.905Z] 03:00:29 INFO - TEST-START | /preload/link-header-preload-delay-onload.html
[task 2019-07-15T03:00:29.906Z] 03:00:29 INFO - Closing window 2147483670
[task 2019-07-15T03:00:30.224Z] 03:00:30 INFO -
[task 2019-07-15T03:00:30.224Z] 03:00:30 INFO - TEST-UNEXPECTED-FAIL | /preload/link-header-preload-delay-onload.html | Makes sure that Link headers preload resources and block window.onload after resource discovery - assert_true: expected true got false
[task 2019-07-15T03:00:30.224Z] 03:00:30 INFO - @http://web-platform.test:8000/preload/link-header-preload-delay-onload.html:33:9
[task 2019-07-15T03:00:30.224Z] 03:00:30 INFO - Test.prototype.step@http://web-platform.test:8000/resources/testharness.js:1594:25
[task 2019-07-15T03:00:30.225Z] 03:00:30 INFO - Test.prototype.step_func/<@http://web-platform.test:8000/resources/testharness.js:1618:35
[task 2019-07-15T03:00:30.441Z] 03:00:30 INFO - TEST-OK | /preload/link-header-preload-delay-onload.html | took 537ms
[task 2019-07-15T03:00:31.080Z] 03:00:31 INFO - Closing logging queue
[task 2019-07-15T03:00:31.080Z] 03:00:31 INFO - queue closed
[task 2019-07-15T03:00:31.097Z] 03:00:31 INFO - Setting up ssl
[task 2019-07-15T03:00:31.113Z] 03:00:31 INFO - certutil |
[task 2019-07-15T03:00:31.128Z] 03:00:31 INFO - certutil |
[task 2019-07-15T03:00:31.136Z] 03:00:31 INFO - certutil |
[task 2019-07-15T03:00:31.136Z] 03:00:31 INFO - Certificate Nickname Trust Attributes
[task 2019-07-15T03:00:31.136Z] 03:00:31 INFO - SSL,S/MIME,JAR/XPI
[task 2019-07-15T03:00:31.136Z] 03:00:31 INFO -
[task 2019-07-15T03:00:31.136Z] 03:00:31 INFO - web-platform-tests CT,,
[task 2019-07-15T03:00:31.136Z] 03:00:31 INFO -
[task 2019-07-15T03:00:32.862Z] 03:00:32 INFO - adb Granting important runtime permissions to org.mozilla.geckoview.test
[task 2019-07-15T03:00:34.104Z] 03:00:34 INFO - adb launch_application: am start -W -n org.mozilla.geckoview.test/org.mozilla.geckoview.test.TestRunnerActivity -a android.intent.action.MAIN --es env9 MOZ_CRASHREPORTER_NO_REPORT=1 --es env8 MOZ_DISABLE_NONLOCAL_CONNECTIONS=1 --es args "-no-remote -profile /sdcard/tests/profile --marionette about:blank" --es env3 MOZ_HIDE_RESULTS_TABLE=1 --es env2 R_LOG_VERBOSE=1 --es env1 MOZ_WEBRENDER=0 --es env0 MOZ_CRASHREPORTER=1 --es env7 R_LOG_DESTINATION=stderr --es env6 MOZ_CRASHREPORTER_SHUTDOWN=1 --es env5 MOZ_LOG=signaling:3,mtransport:4,DataChannel:4,jsep:4 --es env4 STYLO_THREADS=4 --ez use_multiprocess True --es env11 R_LOG_LEVEL=6 --es env10 MOZ_PROCESS_LOG=/tmp/tmpT6pNvnpidlog
[task 2019-07-15T03:00:35.638Z] 03:00:35 INFO - Starting runner

:hsinyi, could you assign this to someone ?

Flags: needinfo?(htsai)
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork:owner]

Dragana, do you know what's going on here?

Flags: needinfo?(htsai) → needinfo?(dd.mozilla)
You need to log in before you can comment on or make changes to this bug.